# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# vim:tw=0:ts=4:sw=4:et

%define major 2
%define minor 1
%define micro 15
%define extra %{nil}
%define release_version %{major}.%{minor}.%{micro}%{extra}
%define rpm_release 1

# per fedora python packaging guidelines
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           firmware-tools
Version:        %{release_version}
Release:        alt1_%{rpm_release}.4
Summary:        Scripts and tools to manage firmware and BIOS updates

Group:          System/Kernel and hardware
License:        GPLv2+ or OSL 2.1
URL:            http://linux.dell.com/libsmbios/download/
Source0:        http://linux.dell.com/libsmbios/download/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2

# SUSE doesnt have noarch python, so for SUSE, always build arch-dependent
%if ! 0%{?suse_version}
BuildArch:      noarch
%endif

BuildRequires:  python-devel python-module-rpm
Requires: pciutils
Provides: firmware_inventory(pci) = 0:%{release_version}

# packages that dont conform to latest ABI
Conflicts: firmware_addon_dell < 0:2.1.0
Conflicts: dell-dup < 0:1.1.0
Source44: import.info

%description
The firmware-tools project provides tools to inventory hardware and a plugin
architecture so that different OEM vendors can provide different inventory
components. It is intended to tie to the package system to enable seamless
installation of updated firmware via your package manager, as well as provide
a framework for BIOS and firmware updates.


%prep
%setup -q


%build
# this line lets us build an RPM directly from a git tarball
[ -e ./configure ] || \
    RELEASE_MAJOR=%{major}  \
    RELEASE_MINOR=%{minor}  \
    RELEASE_MICRO=%{micro}  \
    RELEASE_EXTRA=%{extra}  \
    ./autogen.sh --no-configure

# fix problems when buildsystem time is out of sync. ./configure will
# fail if newly created files are older than the packaged files.
# this should normally be a no-op on proper buildsystems.
touch configure
find . -type f -newer configure -print0 | xargs -r0 touch

%configure
make -e %{?_smp_mflags}

%check
make -e %{?_smp_mflags} check

%install
# Fedora Packaging guidelines
# SUSE Packaging rpmlint
mkdir $RPM_BUILD_ROOT

make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/firmware/firmware.d/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/firmware

# backwards compatibility symlinks
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
ln -s firmwaretool $RPM_BUILD_ROOT/%{_sbindir}/inventory_firmware
ln -s firmwaretool $RPM_BUILD_ROOT/%{_sbindir}/bootstrap_firmware
ln -s firmwaretool $RPM_BUILD_ROOT/%{_sbindir}/update_firmware
ln -s %{_sbindir}/firmwaretool $RPM_BUILD_ROOT/%{_bindir}/update_firmware


%files
%doc COPYING-GPL COPYING-OSL COPYING.LIB README
%{python_sitelibdir_noarch}/*
%attr(0755,root,root) %{_sbindir}/*
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/firmware-tools/
%dir %{_sysconfdir}/firmware
%dir %{_sysconfdir}/firmware/firmware.d
%config(noreplace) %{_sysconfdir}/firmware/firmware.conf
%{_datadir}/firmware/


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.1.15-alt1_1.4
- update to new release by fcimport

* Thu Jan 24 2013 Igor Vlasenko <viy@altlinux.ru> 2.1.15-alt1_1.3
- initial fc import

